*{
  margin:0;
  padding:0;
  box-sizing:border-box;
  font-family:Arial;
}

html{
  scroll-behavior:smooth;
}

body{
  background:#0a0a0a;
  color:white;
}

/* NAVBAR */

header{
  position:fixed;
  top:0;
  width:100%;
  padding:20px 50px;

  display:flex;
  justify-content:space-between;
  align-items:center;

  background:rgba(0,0,0,0.7);

  backdrop-filter:blur(10px);

  z-index:1000;
}

.logo{
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
  margin-bottom: 10px;
  border: 3px solid rgb(223, 234, 31);
}

h1{
  font-size: 60px;
  color: gold;
}

nav a{
  color:white;
  text-decoration:none;
  margin-left:20px;
  transition:0.3s;
}

nav a:hover{
  color:gold;
}

/* HERO */

.hero{
  height:100vh;

  display:flex;
  justify-content:center;
  align-items:center;

  text-align:center;

  background:
  linear-gradient(rgba(0,0,0,0.7),
  rgba(0,0,0,0.7)),

  url('https://images.unsplash.com/photo-1514525253161-7a46d19cd819');

  background-size:cover;
  background-position:center;
}

.hero-content h1{
  font-size:50px;
  margin-bottom:20px;
}

.hero-content p{
  font-size:22px;
  margin-bottom:20px;
}

.hero button{
  padding:15px 35px;
  border:none;
  background:gold;
  color:black;
  font-size:18px;
  border-radius:5px;
  cursor:pointer;

  transition:0.3s;
}

.hero button:hover{
  transform:scale(1.1);

  box-shadow:
  0 0 10px gold,
  0 0 20px gold,
  0 0 40px gold;
}

/* EVENTS */

.events{
  padding:100px 50px;
  text-align:center;
}

.events h2{
  font-size:40px;
  margin-bottom:40px;
}

.event-container{
  display:flex;
  justify-content:center;
  gap:30px;
  flex-wrap:wrap;
}

.event-card{
  background:#1a1a1a;
  padding:30px;
  width:300px;

  border-radius:10px;

  transition:0.3s;
}

.event-card:hover{
  transform:translateY(-10px);

  box-shadow:
  0 0 10px purple,
  0 0 20px purple;
}

/* GALLERY */

.gallery{
  padding:50px 20px;
  text-align:center;
}

.gallery h2{
  font-size:40px;
  margin-bottom:40px;
}

.gallery-container{
  display:flex;
  justify-content:center;
  gap:20px;
  flex-wrap:wrap;
}

.gallery-container img{
  width:300px;
  height:400px;

  object-fit:cover;

  border-radius:10px;

  transition:0.3s;
}

.gallery-container img:hover{
  transform:scale(1.05);
}

/* RESERVATION */

.reservation{
  padding:100px 20px;
  text-align:center;
}

.reservation h2{
  font-size:40px;
  margin-bottom:30px;
}

form{
  display:flex;
  flex-direction:column;
  width:350px;
  margin:auto;
}

form input{
  margin:10px 0;
  padding:15px;

  border:none;

  border-radius:5px;
}

select {
  width: 101%;
  padding: 10px;
  margin: 8px 0;
  border: none;
  border-radius: 5px;
  font-size: 15px;
  background: white;
}

form button{
  margin-top:10px;
  padding:15px;

  border:none;

  background:gold;

  font-size:18px;

  cursor:pointer;

  border-radius:5px;
}

/* CONTACT */

.contact{
  padding:100px 20px;
  text-align:center;
}

.socials{
  margin-top:20px;
}

.socials i{
  font-size:30px;
  margin:0 10px;
  color:gold;
  cursor:pointer;
}

/* FOOTER */

footer{
  padding:20px;
  text-align:center;
  background:black;
}

/* MOBILE */

@media(max-width:768px){

  .stats{
    flex-direction: column;
  }
  table{
    font-size: 12px;
  }
  button{
    width: 100%;
    margin: 5px  0;
  }
  input{
    width: 100%;
    box-sizing: border-box;
  }

  header{
    flex-direction:column;
  }

  nav{
    margin-top:15px;
  }

  .hero-content h1{
    font-size:45px;
  }

}